package com.palmnest.service.notice;

import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.output.PushSendDto;
import com.palmnest.model.estateserve.AppUser;
import com.palmnest.model.notice.EmailSendModel;
import com.palmnest.service.GenericManager;

import java.util.List;
import java.util.Map;

public interface EmailSendManager extends GenericManager<EmailSendModel, Integer> {

	public Page getDataList(Map<String, Object> map, int pageNo, int pageSize) throws Exception;

	public EmailSendModel saveOrUpdate(EmailSendModel emailSendModel);

	public Page getEmailUser(String orgIds) throws Exception;

//	public Map<String, Object> saveImportPushBillData(InputStream ins)throws Exception;

	public Integer getTotal(String orgIds);

	public void sendMesseg(String id, String userId, String type, String state);

	PushSendDto getDetailInfo(Integer id);

	/**
	 * 给用户发送邮件消息
	 *
	 * @param users      用户集合
	 * @param msgContent 邮件内容
	 */
	void sendMessage(List<AppUser> users, String msgContent);

	/**
	 * 发送邮箱
	 *
	 * @param users   发送用户
	 * @param title   标题
	 * @param content 内容
	 */
	void sendEmail(List<AppUser> users, String title, String content);

	/**
	 * 发送邮箱
	 *
	 * @param emails  邮件
	 * @param title   标题
	 * @param content 内容
	 */
	void sendEmail(EmailSendModel emailSend);
}
